Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree.event
Class TreeNodeListenerAdapter

    java.lang.Object
      com.gwtext.client.data.event.NodeListenerAdapter
          com.gwtext.client.widgets.tree.event.TreeNodeListenerAdapter

All Implemented Interfaces:
  NodeListener, TreeNodeListener

    public class TreeNodeListenerAdapter

extends NodeListenerAdapter
implements TreeNodeListener

Constructor Summary
`TreeNodeListenerAdapter()`

Method Summary
`boolean` | `doBeforeCheckChanged(Node node, boolean checked)` Fires when a node with a checkbox's checked property changes.
`boolean` | `doBeforeChildrenRendered(Node node)` Fires right before the child nodes for this node are rendered.
`boolean` | `doBeforeClick(Node node, EventObject e)` Fires before click processing.
`boolean` | `doBeforeCollapse(Node node, boolean deep, boolean anim)` Fires before this node is collapsed, return false to cancel.
`boolean` | `doBeforeExpand(Node node, boolean deep, boolean anim)` Fires before this node is expanded, return false to cancel.
`void` | `onClick(Node node, EventObject e)` Fires when this node is clicked.
`void` | `onCollapse(Node node)` Fires when this node is collapsed.
`void` | `onContextMenu(Node node, EventObject e)` Fires when this node is right clicked.
`void` | `onDblClick(Node node, EventObject e)` Fires when this node is double clicked.
`void` | `onDisabledChange(Node node, boolean disabled)` Fires when the disabled status of this node changes.
`void` | `onExpand(Node node)` Fires when this node is expanded.
`void` | `onTextChange(Node node, java.lang.String text, java.lang.String oldText)` Fires when the text for this node is changed.

Methods inherited from class com.gwtext.client.data.event.NodeListenerAdapter
`doBeforeAppend, doBeforeInsert, doBeforeMove, doBeforeRemove, onAppend, onInsert, onMove, onRemove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.data.event.NodeListener
`doBeforeAppend, doBeforeInsert, doBeforeMove, doBeforeRemove, onAppend, onInsert, onMove, onRemove`

Constructor Detail

### TreeNodeListenerAdapter

    public TreeNodeListenerAdapter()

Method Detail

### doBeforeChildrenRendered

    public boolean doBeforeChildrenRendered(Node node)

  Description copied from interface: `TreeNodeListener`
  Fires right before the child nodes for this node are rendered.

  Specified by:
    `doBeforeChildrenRendered` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
  Returns:
    false to cancel

### doBeforeClick

    public boolean doBeforeClick(Node node,
                                 EventObject e)

  Description copied from interface: `TreeNodeListener`
  Fires before click processing. Return false to cancel the default action.

  Specified by:
    `doBeforeClick` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `e` - the event object
  Returns:
    false to cancel

### doBeforeCollapse

    public boolean doBeforeCollapse(Node node,
                                    boolean deep,
                                    boolean anim)

  Description copied from interface: `TreeNodeListener`
  Fires before this node is collapsed, return false to cancel.

  Specified by:
    `doBeforeCollapse` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `deep` - whether deep collapse
    `anim` - whether animated
  Returns:
    false to cancel

### doBeforeExpand

    public boolean doBeforeExpand(Node node,
                                  boolean deep,
                                  boolean anim)

  Description copied from interface: `TreeNodeListener`
  Fires before this node is expanded, return false to cancel.

  Specified by:
    `doBeforeExpand` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `deep` - whether deep expand
    `anim` - whether animated
  Returns:
    false to cancel

### doBeforeCheckChanged

    public boolean doBeforeCheckChanged(Node node,
                                        boolean checked)

  Description copied from interface: `TreeNodeListener`
  Fires when a node with a checkbox's checked property changes.

  Specified by:
    `doBeforeCheckChanged` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `checked` - the new checked value
  Returns:
    false to cancel

### onClick

    public void onClick(Node node,
                        EventObject e)

  Description copied from interface: `TreeNodeListener`
  Fires when this node is clicked.

  Specified by:
    `onClick` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `e` - the event object

### onCollapse

    public void onCollapse(Node node)

  Description copied from interface: `TreeNodeListener`
  Fires when this node is collapsed.

  Specified by:
    `onCollapse` in interface `TreeNodeListener`
  Parameters:
    `node` - the node

### onContextMenu

    public void onContextMenu(Node node,
                              EventObject e)

  Description copied from interface: `TreeNodeListener`
  Fires when this node is right clicked.

  Specified by:
    `onContextMenu` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `e` - the event obejct

### onDblClick

    public void onDblClick(Node node,
                           EventObject e)

  Description copied from interface: `TreeNodeListener`
  Fires when this node is double clicked.

  Specified by:
    `onDblClick` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `e` - the event object

### onDisabledChange

    public void onDisabledChange(Node node,
                                 boolean disabled)

  Description copied from interface: `TreeNodeListener`
  Fires when the disabled status of this node changes.

  Specified by:
    `onDisabledChange` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `disabled` - true if disabled

### onExpand

    public void onExpand(Node node)

  Description copied from interface: `TreeNodeListener`
  Fires when this node is expanded.

  Specified by:
    `onExpand` in interface `TreeNodeListener`
  Parameters:
    `node` - the node

### onTextChange

    public void onTextChange(Node node,
                             java.lang.String text,
                             java.lang.String oldText)

  Description copied from interface: `TreeNodeListener`
  Fires when the text for this node is changed.

  Specified by:
    `onTextChange` in interface `TreeNodeListener`
  Parameters:
    `node` - the node
    `text` - the new text
    `oldText` - the old text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD